<h2>Current meal
    {% if currentMeal %}
        <a href="{{ path('meal_close', {id: currentMeal.id}) }}"
           class="btn btn-sm btn-outline-danger mr-0">{{ button_label|default('Close') }}</a>
    {% else %}
        {{ include('assets/add.html.twig', {add_path: path('meal_new')}) }}
    {% endif %}
</h2>

{% if currentMeal %}
    <h5>Meal opened at: {{ currentMeal.dateTime.format('d-m-Y H:i') }}</h5>
    <h5>{{ currentMeal.eaters.count }} of {{ currentMeal.tokens.count }} people ordered</h5>

    {% if (currentMeal.weather) %}
        <h5>Looks like were eating:
            {% if ( currentMeal.weather.feelsLike > 20 ) %}
                <span class="text-success">Outside</span>
            {% else %}
                <span class="text-primary">Inside</span>
            {% endif %}
        </h5>
    {% endif %}

    <table class="table table-hover table-sm">
        <thead>
        <tr>
            <th style="width: 40px">#</th>
            <th>User</th>
            <th>Baked</th>
            <th>Bread</th>
            <th>Size</th>
            <th>Taste</th>
            <th>Extras</th>
            <th>Vegetables</th>
            <th>Sauce</th>
        </tr>
        </thead>
        <tbody>

        {% for sandwich in currentMeal.sandwiches %}
            <tr>
                <td>{{ loop.index }}</td>
                <td>{{ sandwich.eater.name }}</td>
                <td>{{ sandwich.baked ? 'Yes' : 'No' }}</td>
                <td>{{ sandwich.bread.name }}</td>
                <td>{{ sandwich.size.size }}</td>
                <td>{{ sandwich.taste.name }}</td>
                <td>{{ sandwich.extras|displayManyMany('name') }}</td>
                <td>{{ sandwich.vegetables|displayManyMany('name') }}</td>
                <td>{{ sandwich.sauce.name }}</td>
                <td>
                    {# <a href="{{ path('sandwich_show', {'id': sandwich.id}) }}">show</a> #}
                    {# <a href="{{ path('sandwich_edit', {'id': sandwich.id}) }}">edit</a> #}
                </td>
            </tr>

        {% else %}
            <tr>
                <td colspan="2">no sandwichtes ordered yet</td>
            </tr>
        {% endfor %}

        </tbody>
    </table>
{% endif %}
